Bug 999597 - kopete requires libotr3 and does not work with libotr-4
kopete requires libotr3 and does not work with libotr-4
Product: Fedora
Classification: Fedora
Component: kopete (Show other bugs)
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Rex Dieter
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2013-08-21 12:39 EDT by Paul Wouters
Modified: 2013-12-16 02:08 EST (History)
7 users (show)

See Also:
Fixed In Version: kopete-4.11.3-2.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2013-12-16 02:08:39 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Paul Wouters 2013-08-21 12:39:14 EDT
In rawhide/f20, we have libotr3/libotr3-devel and libotr-4/libotr-devel

Currently, kopete is using the libotr3 API, so it should use libotr3-devel as BuildRequires. Or better, port kopete to use libotr4, see:

Comment 1 Rex Dieter 2013-08-21 12:43:23 EDT

looked at the libotr/libotr3 packaging... looks less than ideal.  Not even sure it's a good idea to try to ship both.  In the least, libotr3-devel (implictly) conflicts with libotr-devel.  Either fix that or add a Conflicts: tag
Comment 2 Paul Wouters 2013-08-22 10:04:56 EDT
Conflicts tag has been added.
Comment 3 post+redhat 2013-10-05 04:34:11 EDT
Upstream has been ported to libotr4, see <https://projects.kde.org/projects/kde/kdenetwork/kopete/repository/revisions/b977f1f701afd1f9192f35e0263f2f1c04bef53e> and <https://git.reviewboard.kde.org/r/111227/>. Maybe it's possible to backport this patch to the 4.11 series.
Comment 4 Rex Dieter 2013-11-23 02:16:55 EST

* Sat Nov 23 2013 Rex Dieter <rdieter@fedoraproject.org> - 4.11.3-2
- kopete requires libotr3 and does not work with libotr-4 (#999597)
- more jabber fixes (kde#324937)
Comment 5 Fedora Update System 2013-11-23 03:08:35 EST
kopete-4.11.3-2.fc20 has been submitted as an update for Fedora 20.
Comment 6 Fedora Update System 2013-11-23 22:39:49 EST
Package kopete-4.11.3-2.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing kopete-4.11.3-2.fc20'
as soon as you are able to.
Please go to the following url:
then log in and leave karma (feedback).
Comment 7 Fedora Update System 2013-12-16 02:08:39 EST
kopete-4.11.3-2.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.